/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import com.vividsolutions.jts.geom.Envelope;
import com.vividsolutions.jts.geom.Geometry;

/**
 * A layer object represents an item in a layer.
 * The geometry of the object is used to determine the 
 * location where it should be drawn
 *
 * @author Timon Veenstra
 */
public interface Geometrical<G extends Geometry> extends Geographical<G>{

    /**
     * Geometry object representing this layer object describing 
     * the geometry of the object this can be a point, or a multipolygon
     * @return The Geometry
     */
    G getGeometry();
  
}
